hist.normal <-
function(x, main="", xlab="x") {
	
	x = x[complete.cases(x)]
	histo = hist(x, plot=F)
	xx = seq(min(histo$breaks), max(histo$breaks), (max(histo$breaks) - min(histo$breaks))/100)
	yy = dnorm(xx, mean(x), sd(x)) * (histo$breaks[2] - histo$breaks[1]) * length(x)
	ymax=max(c(histo$counts,yy))
	hist(x, main=main, xlab=xlab, col="light gray", border="dark gray", las=1, ylim=c(0,ymax))	
	points(xx, yy, type="l", lty="dotted")
	offset = (histo$breaks[2] - histo$breaks[1])/2
	n = length(histo$breaks)
	points(histo$breaks[1:n-1]+offset, histo$counts, type="l")
	rug(x)
	
}

